// IMDMInterface.aidl
package com.neolix.mdm;

// Declare any non-default types here with import statements
import com.neolix.mdm.IMDMCallback;
import com.neolix.mdm.entity.AppData;

import java.util.Map;

interface IMDMService {
    /**
     * Demonstrates some basic types that you can use as parameters
     * and return values in AIDL.
     */
    /*IOT*/
    void register();

    void connect();

    void publishMessage(in String content);

    void subscribeMessage();

    void unSubscribeMessage();

    void install(in AppData appData);

    void unInstall(in String packageName);

    void openApp(in String packageName);

    void applyPolicy(in Map policies);

    void reset();

    float[] getTofOffset();

    void registerMDMCallback(in IMDMCallback callback);

    void unregisterMDMCallback(in IMDMCallback callback);
}
